Subject: Re: Large delays in mailing list delivery?

From: Eric Wong <[email-masked]>
Date: Mon, 6 Dec 2021 16:36:26 +0000

Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> On Fri, Dec 03 2021, Konstantin Ryabitsev wrote:
> 
> > On Fri, Dec 03, 2021 at 09:02:48PM +0100, Ævar Arnfjörð Bjarmason wrote:
> >> When I've experienced delays (sometimes of half a day or more) both
> >> https://public-inbox.org/git/ and https://lore.kernel.org/git/ have been
> >> updated.
> >
> > Btw, you can source lore.kernel.org straight into your gmail inbox. :)
> >
> >     https://people.kernel.org/monsieuricon/lore-lei-part-1-getting-started
> >     https://people.kernel.org/monsieuricon/lore-lei-part-2-now-with-imap
> >
> > Or, you can read it via nntp://nntp.lore.kernel.org/.
> 
> [CC'd [email-masked], probably best to move this thread over
> there sooner than later, but CC'ing git@ still in case this is
> interesting to others]
> 
> I poked a bit at setting this up but couldn't find from building
> public-inbox.org & trying to page through the docs how I'd get from an
> existing public-inbox.org/git/ checkout to a local Maildir.

Existing, public-inboxes can be set as "externals" and managed
via {add,forget,ls}-external sub-commands:

	# for locally-cloned inboxes:
	public-inbox-index /path/to/existing/inbox
	lei add-external /path/to/existing/inbox

	# relies on curl, memoizes data downloaded for each search:
	lei add-external https://yhbt.net/lore/git

Local externals will be included by every "lei q" invocation;
HTTP(S) ones require "lei q --remote"

If you only want to use an external as a one-off without adding
it, the -I/--include and -O/--only flags are useful:

  lei q -O https://yhbt.net/lore/git -o /tmp/results SEARCH_TERMS

> If you could share some recipe or a pointer to the right docs for that
> that would be much appreciated. Thanks!

lei-overview(7) manpage documents some things, at least:
https://public-inbox.org/lei-overview.html  Patches welcome :>

IMHO lei still kinda sucks, and I probably won't have time to
work on it for a bit :<